<mat-toolbar>{{title}}</mat-toolbar>

<mat-card>
  <div class="row">
    <div class="col s6">
        <input type="text" matInput
          ngxDaterangepickerMd
          [autoApply]="options.autoApply"
          [linkedCalendars]="options.linkedCalendars"
          [singleDatePicker]="options.singleDatePicker"
          applyLabel="Okay"
          [locale]="locale"
          [showDropdowns]="true"
          startKey="start"
          endKey="end"
          [(ngModel)]="selected"
          (click)="click()"
          [minDate]="minDate"
          [maxDate]="maxDate"
          [showWeekNumbers]="options.showWeekNumbers"
          [showCancel]="options.showCancel"
          [showClearButton]="options.showClearButton"
          [showISOWeekNumbers]="options.showISOWeekNumbers"
          [customRangeDirection]="options.customRangeDirection"
          [lockStartDate]="options.lockStartDate"
          firstMonthDayClass="first-day"
          lastMonthDayClass="last-day"
          emptyWeekRowClass="empty-week"
          lastDayOfPreviousMonthClass="last-previous-day"
          firstDayOfNextMonthClass="first-next-day"
          [opens]="opens"
          [drops]="drops"
          [timePicker]="timePicker"
          [dateLimit]="dateLimit"
          name="daterange"/>
    </div>
    <div class="col s6">
          <strong>Value: </strong>{{selected  | json}}
          <hr/>
        <h4>Timepicker</h4>
        <strong>enable timepicker:</strong>  <mat-checkbox [(ngModel)]="timePicker">Value: {{timePicker}}</mat-checkbox><br/>
        <h4>Options:</h4>
        <strong>autoApply:</strong>  <mat-checkbox [(ngModel)]="options.autoApply">Value: {{options.autoApply}}</mat-checkbox><br/>
        <strong>showCancel:</strong>  <mat-checkbox [(ngModel)]="options.showCancel">Value: {{options.showCancel}}</mat-checkbox><br/>
        <strong>showClearButton:</strong>  <mat-checkbox [(ngModel)]="options.showClearButton">Value: {{options.showClearButton}}</mat-checkbox><br/>
        <strong>linkedCalendars:</strong><mat-checkbox [(ngModel)]="options.linkedCalendars">Value: {{options.linkedCalendars}}</mat-checkbox><br/>
        <strong>singleDatePicker:</strong><mat-checkbox [(ngModel)]="options.singleDatePicker">Value: {{options.singleDatePicker}}</mat-checkbox><br/>
        <strong>showWeekNumbers:</strong><mat-checkbox [(ngModel)]="options.showWeekNumbers">Value: {{options.showWeekNumbers}}</mat-checkbox><br/>
        <strong>showISOWeekNumbers:</strong><mat-checkbox [(ngModel)]="options.showISOWeekNumbers">Value: {{options.showISOWeekNumbers}}</mat-checkbox><br/>
        <strong>customRangeDirection:</strong><mat-checkbox [(ngModel)]="options.customRangeDirection">Value: {{options.customRangeDirection}}</mat-checkbox><br/>
        <strong>lockStartDate:</strong><mat-checkbox [(ngModel)]="options.lockStartDate">Value: {{options.lockStartDate}}</mat-checkbox><br/>
        <strong>minDate:</strong>  {{minDate | date: 'dd/MM/yyyy'}}<br/>
        <strong>maxDate:</strong>  {{maxDate | date: 'dd/MM/yyyy'}}<br/>
        <strong>locale</strong> : <br/>
        <div class="">
          <div class="row">
            <div class="col s12">
                <mat-form-field>
                  <mat-select placeholder="Choose format" [(ngModel)]="locale.format">
                    <mat-option value="DD/MM/YYYY">DD/MM/YYYY</mat-option>
                    <mat-option value="MM-DD-YYYY">MM-DD-YYYY</mat-option>
                  </mat-select>
                </mat-form-field><br/>
                locale value:<br/>
              {{locale | json}}
            </div>
          </div>
          <div class="row">
            <div class="col s6">
              <mat-form-field>
                <mat-select [(ngModel)]="opens" placeholder="Position">
                  <mat-option value="left">Left</mat-option>
                  <mat-option value="center">Center</mat-option>
                  <mat-option value="right">Right</mat-option>
                </mat-select>
              </mat-form-field>
            </div>
            <div class="col s6">
              <mat-form-field>
                <mat-select [(ngModel)]="drops" placeholder="Drops">
                  <mat-option value="down">Down</mat-option>
                  <mat-option value="up">Up</mat-option>
                </mat-select>
              </mat-form-field>
            </div>
          </div>
          <div class="row">
            <div class="col s6">
              <button mat-raised-button color="warn" (click)="clear()">Clear</button>
            </div>
          </div>
        </div>
    </div>
  </div>
  <div class="row">
    <div class="col s6">
    </div>
    <div class="col s6">
    </div>
  </div>
</mat-card>
